Sheets

List typed columns in an in-house sheet tab

GET
/v1/space/sheets/{sheet_id}/tabs/{tab_id}/columns
curl -X GET "https://api.orchestor.io/v1/space/sheets/%3Csheet_id%3E/tabs/%3Ctab_id%3E/columns" \  -H "Authorization: Bearer $API_KEY" \  -H "X-Workspace-ID: wks_abc123"
{  "data": [    {      "color": "<string>",      "currencyCode": "<string>",      "description": "<string>",      "hidden": true,      "id": "<string>",      "options": [        "<string>"      ],      "pinned": true,      "title": "<string>",      "type": "text",      "width": 104    }  ]}

Get your Orchestor API key

Create an API key in your workspace settings.

Authorizations

Satisfy one of these options:

  • Session cookie
  • API key

Authentication details

cookie
wos-session

Browser session established by signing in to the web app. The server checks your workspace membership and permissions. Supply X-Workspace-ID for workspace-scoped operations. For server-to-server requests, use an API key when the operation supports it.

Path Parameters

sheet_idstringpathrequired
Pattern
^sht_[a-f0-9]{24}$
tab_idstringpathrequired
String length
≥ 1, ≤ 256

Headers

X-Workspace-IDstringheader

Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.

Example"wks_abc123"

Response

application/json

Columns in order

dataobject[]required
data[]object
Additional properties
Not allowed
data[].colorstring
data[].currencyCodestring
data[].descriptionstring
data[].hiddenboolean
data[].idstringrequired
String length
≥ 1, ≤ 256
data[].optionsstring[]
data[].options[]string
data[].pinnedboolean
data[].titlestringrequired
data[].typestringenum<string>required
Allowed
textnumbercurrencyurldomaindatetimestampemailimagecheckboxselectmulti-select
data[].widthinteger
Value range
≥ 104